Bug 1961391 - String updates
Summary: String updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.10.0
Assignee: Pranshu Srivastava
QA Contact: Aman Agrawal
URL:
Whiteboard:
Depends On: 2008859 2015766 2015990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-17 19:34 UTC by ralpert
Modified: 2022-03-12 04:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Grammar wasn't correct at some places. Also, there was an instance where the translators were unable to figure out the context. Consequence: Negative impact on readability. Fix: Corrected the grammar in some places and itemized the storage classes for translators. Result: Improved readability.
Clone Of:
Environment:
Last Closed: 2022-03-12 04:35:20 UTC
Target Upstream Version:
ralpert: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10008 0 None None None 2021-09-07 14:22:33 UTC
Github openshift console pull 9017 0 None open Bug 1961391: String updates 2021-05-24 10:02:49 UTC
Github openshift console pull 9333 0 None open Bug 1961391: Textual Updates 2021-06-23 20:17:45 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-12 04:35:40 UTC

Description ralpert 2021-05-17 19:34:23 UTC
Description of problem:
We looked through some of the files we received back from translation and noticed some errors in the strings:
* There's a string for "and." The translators didn't have context for how it's used and some chose not to translate it. It would be better to provide that context for them.
* What is a BackingStore ? - should not have a space before the question mark
* "Pool management tasks are not supported for default pool and Openshift Container Storage's  external mode." - has an extra space before "external" and "Openshift" should be "OpenShift"
* "Data will be stored as is(no dedupe, compression, encryption) on the namespace stores. Namespace buckets allow for connecting to existing data and serving from them. Best used for existing data or when other applications (and native cloud services) need to access the data from outside the OpenShift Container Storage." - There should be a space before the parenthesis
* "Caching is a policy that creates local copies of the data. It saves the copies locally to improve performance for frequently accessed data. Each cached copy has a TTL and is verified against the hub. Each non-read operation(upload, overwrite, delete) is performed on the hub" - There should be a space before the parenthesis
* "A single namespace-store, defines the read and write target of the namespace bucket" - Shouldn't the comma be a semicolon? It seems like two sentences.
* "Select list of namespace stores, defines the read targets of the namespace bucket" - Shouldn't the comma be a semicolon? It seems like two sentences
* "Select a single namespace store, defines the write target of the namespace bucket" - Shouldn't the comma be a semicolon? It seems like two sentences
* "Select one namespace-store, defines the read and write targets of the namespace bucket" - Shouldn't the comma be a semicolon? It seems like two sentences
* "The number of buckets managed on Multicloud Object Gateway, Object bucket claims and the object bucket created as a result of object bucket claims on both Multicloud Object Gateway and RGW (if deployed)." - Seems like it should be two sentences and have a period instead of a comma.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. Look at ceph-storage-plugin.json

Comment 3 Yanping Zhang 2021-05-27 08:51:31 UTC
Look at ceph-storage-plugin.json, there are many "storage class" in different strings, if they should be "storageclass"? An example string: "Selected nodes are based on the selected storage class."

Comment 4 ralpert 2021-05-27 14:28:22 UTC
We do StorageClass in admin console for what it's worth.

Comment 10 ralpert 2021-06-15 13:34:07 UTC
It looks like a couple were missed:

* "Caching is a policy that creates local copies of the data. It saves the copies locally to improve performance for frequently accessed data. Each cached copy has a TTL and is verified against the hub. Each non-read operation(upload, overwrite, delete) is performed on the hub" - There should be a space before the parenthesis
* "And"/comma separated list - The concern here is that we're not making the full context available. Not all languages use comma-separated lists (or that they may use different styles of commas). The translators have been having trouble with the out-of-context "and" also.

Comment 12 ralpert 2021-09-03 14:14:43 UTC
It looks like a comma separated list is still being used. Other teams are using Intl ListFormat to get around this: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/ListFormat

Comment 44 ralpert 2021-09-20 13:49:09 UTC
Hey Pranshu - I'm not a QE person, so I'm removing the needinfo here. I was still seeing the join function in use that generates the "and" i18n Key fwiw.

Comment 46 Pranshu Srivastava 2021-09-20 20:54:56 UTC
@ralpert@redhat.com Could you link me to where you're seeing that? It seems to be removed here: https://github.com/openshift/console/pull/10008/files#diff-b2817e2b54f0131c313e8820047a349632fffcd1533e01052e43101adb2bc72a (also please ignore the extraneous comment above). Thanks!

Comment 48 ralpert 2021-09-21 13:27:48 UTC
That looks perfect! The last time I looked was more than 2 weeks ago. Thanks for doing that.

Comment 54 errata-xmlrpc 2022-03-12 04:35:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.